Passer au contenu

Create webhook subscription (deprecated)
obsolète

Requête

DEPRECATED: this endpoint will be removed on 31 October 2026. Use the envelope webhooks endpoints ({envelopeId}/webhooks) instead. Creates a webhook subscription for the specified envelope.

Sécurité
Bearer or PersonalAccessToken
Chemin
organizationIdstring, (uuid)obligatoire

Unique identifier of the organization

envelopeIdstring, (uuid)obligatoire

Unique identifier of the envelope

Corpsapplication/jsonobligatoire
urlstringobligatoire

The HTTPS URL to receive webhook events.

authenticationobject(WebhookAuthenticationRequest)

Authentication settings for the webhook endpoint.

POST
/api/v1/organizations/{organizationId}/envelopes/{envelopeId}/webhook-subscription
curl -i -X POST \
  '/api/v1/organizations/{organizationId}/envelopes/{envelopeId}/webhook-subscription' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "url": "https://hook.example.com"
  }'

Réponses

Created

Corpsapplication/json
idstring, (uuid)obligatoire

The subscription ID.

urlstringobligatoire

The webhook delivery URL.

hasHeadersbooleanobligatoire

Whether custom headers are configured.

hasClientCertificatebooleanobligatoire

Whether mTLS is configured.

createdAtstring, (date-time)obligatoire

When the subscription was created.

Réponse
{ "id": "11111111-1111-1111-1111-111111111111", "url": "https://hook.example.com", "hasHeaders": false, "hasClientCertificate": false, "createdAt": "2026-11-11T14:00:03.4970766+00:00" }